Create TenantDatasetSource

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/tenantdatasetsource
API call form
Examples
List of examples
  • Route a tenant to its own table
  • Route a tenant to a SQL query
Description

Route the queries of a tenant on a dataset to a SQL query on a connection.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "tenant_id": "bd932f0c-05ed-4cf7-bdfa-5809314298f4",
  "securable_id": "f2f9c24b-bb17-4886-ba77-c5ee9dbc14e7",
  "account_id": "99dc1808-bfd9-49f7-b448-e611e6e10a13",
  "source_query": "SELECT type_of_burrito, number_burritos_savoured, salsa_level FROM public.burritos_suborg2",
  "id": "76ad933b-e964-474b-8e08-a9d237d8ae8d",
  "source_sheet": null,
  "updated_at": "2026-09-29T11:08:09.691Z",
  "created_at": "2026-09-29T11:08:09.691Z",
  "acceleration_id": null
}